Skip to main content
`Ctrl`+`K`

# VecMAXPY

Computes `y = y + sum alpha[i] x[i]`

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecMAXPY(Vec y, PetscInt nv, const PetscScalar alpha[], Vec x[])

Logically Collective

## Input Parameters

- nv - number of scalars and `x` vectors

- alpha - array of scalars

- y - one vector

- x - array of vectors

## Notes

`y` cannot be any of the `x` vectors

The implementation may use BLAS 2 operations when the vectors `y` have been obtained with `VecDuplicateVecs()`

## See Also

Vectors and Parallel Data, `Vec`, `VecMAXPBY()`, `VecAYPX()`, `VecWAXPY()`, `VecAXPY()`, `VecAXPBYPCZ()`, `VecAXPBY()`, `VecDuplicateVecs()`

## Level

intermediate

## Location

src/vec/vec/interface/rvector.c

## Examples

src/vec/vec/tutorials/ex1f90.F90
src/vec/vec/tutorials/ex1.c
src/ts/tutorials/ex31.c
src/vec/vec/tutorials/ex20f90.F90

## Implementations

VecMAXPY_Nest() in src/vec/vec/impls/nest/vecnest.c
VecMAXPY_Seq() in src/vec/vec/impls/seq/dvec2.c
VecMAXPY_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecMAXPY_SeqViennaCL() in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages